All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] tests: check quota file space usage does not get accounted
@ 2021-08-04 12:16 Jan Kara
  2021-08-13 16:49   ` Theodore Ts'o
  0 siblings, 1 reply; 3+ messages in thread
From: Jan Kara @ 2021-08-04 12:16 UTC (permalink / raw)
  To: Ted Tso; +Cc: linux-ext4, Jan Kara

Check that space used by quota files themselves does not get accounted
into the space tracked by quota subsystem.

Signed-off-by: Jan Kara <jack@suse.cz>
---
 tests/t_quota_add/name   |  1 +
 tests/t_quota_add/script | 46 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)
 create mode 100644 tests/t_quota_add/name
 create mode 100644 tests/t_quota_add/script

diff --git a/tests/t_quota_add/name b/tests/t_quota_add/name
new file mode 100644
index 000000000000..43a4bfd084db
--- /dev/null
+++ b/tests/t_quota_add/name
@@ -0,0 +1 @@
+add several quota types using tune2fs and check computed usage
diff --git a/tests/t_quota_add/script b/tests/t_quota_add/script
new file mode 100644
index 000000000000..c26c37a7b814
--- /dev/null
+++ b/tests/t_quota_add/script
@@ -0,0 +1,46 @@
+FSCK_OPT=-yf
+
+if [ "$QUOTA" != "y" ]; then
+	echo "$test_name: $test_description: skipped"
+	return 0
+fi
+
+$MKE2FS -q -F -o Linux -b 4096 -O quota -E quotatype=prjquota $TMPFILE 10000 > $test_name.log 2>&1
+status=$?
+if [ "$status" != 0 ] ; then
+	echo "mke2fs failed" > $test_name.failed
+	echo "$test_name: $test_description: failed"
+	return $status
+fi
+
+for type in usrquota grpquota; do
+	$TUNE2FS -Q $type $TMPFILE >> $test_name.log 2>&1
+	status=$?
+	if [ "$status" != 0 ] ; then
+		echo "tune2fs -O quota failed with $status" > $test_name.failed
+		echo "$test_name: $test_description: failed"
+		return $status
+	fi
+done
+
+UUSAGE=$($DEBUGFS 2>/dev/null -R "lq user" $TMPFILE | grep "^ *0 ")
+for type in group project; do
+	TUSAGE=$($DEBUGFS 2>/dev/null -R "lq $type" $TMPFILE | grep "^ *0 ")
+	if [ "$TUSAGE" != "$UUSAGE" ]; then
+		echo "user and $type quota entries are different" >$test_name.failed
+		echo "$test_name: $test_description: failed"
+		return 1
+	fi
+done
+
+$FSCK $FSCK_OPT $TMPFILE >> $test_name.log 2>&1
+status=$?
+if [ "$status" = 0 ] ; then
+	echo "$test_name: $test_description: ok"
+	touch $test_name.ok
+else
+	echo "e2fsck with quota enabled failed with $status" > $test_name.failed
+	echo "$test_name: $test_description: failed"
+	return $status
+fi
+rm -f $TMPFILE
-- 
2.26.2


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2021-08-13 16:50 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-08-04 12:16 [PATCH] tests: check quota file space usage does not get accounted Jan Kara
2021-08-13 15:02 ` Theodore Ts'o
2021-08-13 16:49   ` Theodore Ts'o

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.